codelite (14.0+dfsg-1build1) hirsute; urgency=medium

  * No-change rebuild against current clang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2021 22:27:54 +0000

codelite (14.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  * New upstream release.
    - Remove the .py extension from a script with language-extension

  * d/patches:
    - Refresh patches.
    - Drop 2 patches applied upstream.
    - Make a helper script python3-compatible.

  * debian/control:
    - Bump standards to 4.5.0.
    - Change Recommends: qt4-qmake to qt5-qmake.

  * debian/lintian-overrides:
    - Add override for file-references-package-build-path false positive.

 -- David Hart <david@codelite.org>  Sat, 14 Mar 2020 16:13:10 +0000

codelite (13.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  * New upstream release:
    - Add new and missing plugins to codelite-plugins.
    - Refresh patches.
    - Patch out two non-free licenced svgs.

  * debian/control:
    - Build against the GTK+3 version of wxWidgets (Closes: #934096, #940540).
    - Bump standards to 4.4.1 and remove debian/compat.
    - Add an upstream metadata file.

 -- David Hart <david@codelite.org>  Sun, 13 Oct 2019 10:10:27 +0100

codelite (12.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  * New upstream release.

  * debian/codelite-plugins.install:
    - Install new plugins.
  * debian/copyright:
    - Add copyright for new plugin.
    - Update copyright dates.
  * debian/patches:
    - Refresh patches.
    - Backport a fix for LLDB terminal crashes.
    - Fix 3 more spelling mistakes.
  * debian/control:
    - Bump standards to 4.3.0.
  * debian/compat:
    - Use debhelper 11.
  * debian/watch:
    - Add oversionmangle for +dfsg

 -- David Hart <david@codelite.co.uk>  Sun, 03 Feb 2019 17:59:36 +0000

codelite (10.0+dfsg-5) unstable; urgency=medium

  * Oprhaning this package. (See: #852312)

 -- James Cowgill <jcowgill@debian.org>  Mon, 10 Dec 2018 12:11:03 +0000

codelite (10.0+dfsg-4) unstable; urgency=medium

  * Build using packages from llvm-defaults. (Closes: #912803)
  * d/patches: Drop gtk libs patch when building with newer CMake.

 -- James Cowgill <jcowgill@debian.org>  Wed, 07 Nov 2018 21:20:16 +0000

codelite (10.0+dfsg-3) unstable; urgency=medium

  * debian/control, debian/rules:
    - Switch to LLVM 6.0. (Closes: #904276)
    - Migrate Vcs to salsa.debian.org.
    - Bump standards to 4.1.5.
    - Set Rules-Requires-Root: no.
    - Use dpkg's architecture.mk in debian/rules.
  * debian/patches:
    - Fix spelling mistake in 05_build-flags.patch.

 -- James Cowgill <jcowgill@debian.org>  Thu, 26 Jul 2018 22:24:16 +0800

codelite (10.0+dfsg-2) unstable; urgency=medium

  * debian/copyright:
    - Use https Format URL in debian/copyright.
  * debian/control:
    - Switch to LLVM 5.0. (Closes: #873406)
    - Enable LLDB on arm64.
    - Bump standards to 4.1.0 (no changes).
    - Use https Homepage URL.
  * debian/compat:
    - Use debhelper 10.

 -- James Cowgill <jcowgill@debian.org>  Tue, 29 Aug 2017 12:22:56 +0100

codelite (10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/control, debian/rules:
    - Switch to LLVM 3.9.
    - Fix typo to fix FTBFS with LLVM 3.9. (Closes: #850161)
    - Update Clang / LLDB architectures list.
  * debian/copyright:
    - Update copyright dates.
  * debian/codelite-plugins.install:
    - Install new plugins.
  * debian/patches:
    - Refresh patches.
    - Remove hardcoding of CMAKE_LIBRARY_ARCHITECTURE to x86.
    - Remove unnecessary find_package(GTK2) calls (to workaround CMake bug).
    - Add patch to fix various spelling mistakes.
  * debian/source:
    - Remove local-options.

 -- James Cowgill <jcowgill@debian.org>  Mon, 23 Jan 2017 11:34:44 +0000

codelite (9.2+dfsg-2) unstable; urgency=medium

  * Build against LLVM 3.8. (Closes: #836607)
  * Update list of arches to use LLVM on.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Sep 2016 15:43:55 +0100

codelite (9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash when attempting to build an empty workspace. (LP: #1577401)

  * debian/patches:
    - Refresh patches.
    - Drop 26_do-not-trash-cxxflags.patch, 27_spelling-fixes.patch,
      and 28_fix-non-x64-build.patch. All applied upstream.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Jul 2016 15:39:34 +0100

codelite (9.1+dfsg2-1) unstable; urgency=medium

  * Remove unused icons/ directory. (Closes: #821258)
  * Use my debian.org email address.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sat, 14 May 2016 18:54:24 +0100

codelite (9.1+dfsg-2) unstable; urgency=medium

  * Workaround bug #814856 in debhelper by manually installing LLDB
    related executables.

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 16 Feb 2016 12:39:33 +0000

codelite (9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/README.Debian:
    - Fix spelling mistake.
  * debian/codelite.install:
    - Install manpages through dh_install instead of dh_installman.
  * debian/control:
    - Use secure Vcs-* URLs.
    - Bump standards version to 3.9.7.
  * debian/copyright:
    - Fix misspelling of LGPL.
  * debian/patches:
    - Add patch to prevent our CXXFLAGS being trashed.
    - Add patch to fix numerous spelling mistakes.
    - Add patch to fix build on non-x64 arches.
  * debian/rules:
    - Remove get-orig-source target (use uscan directly instead).

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 16 Feb 2016 00:08:01 +0000

codelite (9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/codelite.menu:
    - Remove menu file and xpm icon.
  * debian/codelite.install:
    - Do not install clgcc and clg++ executables.
  * debian/codelite-plugins.links:
    - Drop /usr/lib/codelite/resources symlink.
  * debian/control:
    - Adjust description to note other supported programming languages.
  * debian/patches:
    - Refresh patches.
    - Modify 02_remove-bundled-sqlite.patch to only remove wxsqlite since
      upstream now does not bundle sqlite.
    - Modify stripping patch to also remove duplicate Debian build flags.

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 13 Oct 2015 14:20:28 +0100

codelite (8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * Build against LLVM 3.6.
  * Opt-in to LLVM so that more arches can build codelite.
  * Remove codelitephp/.../Mage.php exclusion from d/copyright now that file
    has been removed upstream.
  * Drop patches applied upstream.
  * Override all hardening-no-fortify-functions warnings.
    - Lots of false positives generated.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 14 Sep 2015 23:58:21 +0100

codelite (8.0.1+dfsg2-2) unstable; urgency=medium

  * Disable webview since CodeLite doesn't actually use it. (Closes: #790429)
    Thanks Olly Betts.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 29 Jun 2015 18:37:07 +0100

codelite (8.0.1+dfsg2-1) unstable; urgency=medium

  * Remove codelitephp/PHPParserUnitTests/Tests/Mage.php which is licensed
    under the non-free OSL-3.0 license (Closes: #788637).

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 14 Jun 2015 00:43:46 +0100

codelite (8.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (this is upstream's 8.0-1).
  * Fix spelling error in 7.0+dfsg-2 changelog entry.
  * Use alternate method of handling private liblibcodelite.so and libplugin.so
    dependencies.

  * debian/control:
    - Add recommeds on nodejs to codelite-plugins - used in WebTools.
  * debian/copyright:
    - Update Eran's email address.
    - Other updates for 8.0.1.
  * debian/patches:
    - Many patch updates for 8.0.1. Upstreamed patches are marked with
      a 'u' prefix.
    - LLVM patch replaced with specifying the paths directly in debian/rules.
    - Added upstream patch to fix abbreviation plugin.
  * debian/watch:
    - Convert dashes to dots in version numbers.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 16 May 2015 16:19:53 +0100

codelite (7.0+dfsg-2) unstable; urgency=low

  * Upload 7.0 to unstable.
  * debian/control:
    - Really disable clang and lldb on sparc.
    - Drop versions of dependencies already in squeeze.
    - Use cgit Vcs-Browser URL
  * debian/patches:
    - Add patch to try and make the build reproducible.
    - Add patch to disable checking for updates on http://codelite.org by
      default (the option can be re-enabled in the options).

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 27 Apr 2015 22:08:51 +0100

codelite (7.0+dfsg-1) experimental; urgency=low

  * New upstream release.

  * debian/README.Debian:
    - Add file with the main differences between the Debian package and
      upstream's.
  * debian/control + debian/rules:
    - Set LLVM_VERSION on all arches to simplify the patches.
    - Disable Clang on sparc.
    - Disable LLDB on arm64, mips64el, ppc64el and sparc where it isn't built.
    - Enable internal web viewer (for the php plugin).
  * debian/copyright:
    - Update for new version.
    - Sort licenses.
    - Fix dep5-copyright-license-name-not-unique lintian warnings.
  * debian/install:
    - Add codelitephp and WordCompletion plugins.
    - Remove obsolete codelite-clang binary.
  * debian/lintian-overrides:
    - Add override for spelling false positive.
    - Add hardening override for codelitephp (which uses no hardenable
      functions).
  * debian/patches:
    - Refresh patches and update for new plugins.
    - Drop patches applied upstream:
      08_fix-crash-on-close.patch
      17_lldb-link-order.patch
      18_hurd.patch
      20_Compilation-fix-for-non-precompiled-header-builds.patch
    - Add patch to fix saving sessions on exit.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 18 Feb 2015 22:52:03 +0000

codelite (6.1.1+dfsg-4) unstable; urgency=medium

  * Switch to LLVM 3.5.
    - Reworked the LLVM related patches into 2 patch files to make more
      logical sense and due to dependencies between the patches.
  * Bump standards version to 3.9.6 (no changes).
  * Fix typo in debian/copyright.
  * Sort build-dependencies.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 27 Sep 2014 11:57:16 +0100

codelite (6.1.1+dfsg-3) unstable; urgency=medium

  * Really fix the hurd build this time.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 04 Sep 2014 14:58:45 +0100

codelite (6.1.1+dfsg-2) unstable; urgency=medium

  * Fix typo causing build failure on hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 03 Sep 2014 22:39:46 +0100

codelite (6.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/control
    - Build depend on libhunspell-dev.
    - Re-enable SFTP support using libssh-gcrypt.
    - Recommend valgrind (for new MemChecker plugin).
  * debian/copyright
    - Remove bundled version of hunspell.
  * debian/patches
    - Refresh patches.
    - Patch 10_move-helper-binaries.patch rewritten due to upstream changes.
    - Add 19_remove-bundled-clang-format.patch to fix clang-format paths.
    - Add 20_Compilation-fix-for-non-precompiled-header-builds.patch from
      upstream to fix build.
  * debian/*.1
    - Remove manpages in debian/ - moved to upstream

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 01 Sep 2014 00:23:18 +0100

codelite (6.0.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable (Closes: #749976).
  * Drop gcc 4.9 workaround (fixed in wxwidgets)
  * Drop manual dependency on lldb (see #750868).
  * Re-enable lldb on mips.
  * Remove uses of PATH_MAX for hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 16 Aug 2014 09:41:47 +0100

codelite (6.0.1+dfsg-1~exp2) experimental; urgency=medium

  * Fix build dependencies for mips.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 09 Jun 2014 00:24:02 +0100

codelite (6.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

  * Add breaks to codelite package to ensure upgrades are smooth
  * Fix get-orig-source target
  * Refresh patches.
    Dropped patches applied upstream:
     - 06_extra-library-linking.patch
     - 12_fix-desktop.patch
     - 13_kill_children_syntax_error.patch
     - 14_fix_chinese_locale.patch
  * Add patch to fix the link order of the LLDB debugger plugin
  * Disable clang and lldb on hurd and mips
  * Disable SFTP support since an openssl license exception is needed

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 08 Jun 2014 00:48:30 +0100

codelite (5.4+dfsg-1~exp1) experimental; urgency=low

  * New maintainer (Closes: #639782)
  * New upstream release.

  * debian/control:
    - Use debhelper 9.
    - Bump standards to 3.9.5 (no changes).
    - Remove ancient Breaks / Replaces on old codelite plugin packages.
    - codelite-plugins now depends on codelite.
    - Canonicalize Vcs fields.
  * debian/copyright:
    - Use final version of the machine readable copyright format.
    - Use Files-Excluded to mark files to be removed from upstream source.
  * debian/rules:
    - Enable all hardening flags.
    - Enable parallel builds.
  * debian/watch:
    - Update watch file (upstream has moved to github).
  * debian/codelite-make.1
    - Add man page for codelite-make.
  * patches/01..04.patch:
    - Patches to build scripts to remove bundled versions of cppcheck, sqlite,
      wxsqlite, libclang and unittest++.
  * patches/05_prevent-cxx-flags-clobbering.patch:
    - Prevent build scripts clobbering compiler flags (which prevents hardening
      flags from getting through).
  * patches/06_extra-library-linking.patch:
    - Manually link plugins to required libraries (instead of assuming the
      dynamic linker has already loaded them).
  * patches/07_remove-extra-rpath.patch:
    - Remove duplicate RPATH entry.
  * patches/08_fix-crash-on-close.patch:
    - Fix crash caused by new version of wxsqlite3.
  * patches/09_use-x-terminal-editor.patch (was 01-x_terminal_emulator.patch):
    - Patch updated.
  * patches/10_move-helper-binaries.patch (was 03_move-helper-binaries.patch):
    - Patch updated.
  * patches/11_no-sonames.patch:
    - Disable SONAME generation (since all the libraries are private).
  * patches/12_fix-desktop.patch (was 02_fix-desktop.patch):
    - Patch updated and Keywords field added.
  * patches/13_kill_children_syntax_error.patch:
    - Fix syntax error in codelite_kill_children script.
  * patches/14_fix_chinese_locale.patch:
    - Fix Chinese locale code (cz -> zh_CN).
  * patches/15_fix_about_box_license.patch:
    - Fix license tab in the about box.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 26 May 2014 18:37:09 +0100

codelite (2.8.0.4537~dfsg-4) unstable; urgency=low

  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 11:40:05 +0200

codelite (2.8.0.4537~dfsg-3) unstable; urgency=low

  * debian/patches/04_configure.patch:
    - Link against libwxsqlite3-2.8-0.
  * debian/control:
    - Build-depend on libwxsqlite3-2.8-dev.
  * debian/rules:
    - Update get-orig-source to strip wxsqlite3 out of the tarball.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 13:42:07 +0100

codelite (2.8.0.4537~dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Patches have been forwarded.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 09:42:05 +0100

codelite (2.8.0.4537~dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update debian/gbp.conf.
  * Rename and refresh 01_x-terminal-emulator.patch.
  * Refresh debian/patches/03_move-helper-binaries.patch
  * Refresh debian/patches/04_configure.patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Nov 2010 13:45:10 +0100

codelite (2.7.0.4375~dfsg-2) experimental; urgency=low

  * Fix CodeLite/unixprocess_impl.cpp, codelite_kill_children is located
    in /usr/lib/codelite/.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Sep 2010 12:58:18 +0200

codelite (2.7.0.4375~dfsg-1) experimental; urgency=low

  * Set upstream's tarball compression to bzip2.
  * New upstream bugfix release:
    - Many bugfixes.
    - Code completion enhancements.
    - New refactoring feature: Rename Local Variable.
  * Refresh patches.
  * Add description to to debian/patches/04_configure.patch patch,
    as per DEP-3.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Sep 2010 19:00:39 +0200

codelite (2.6.0.4189~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Refresh patches.
  * Add license information about files under ./Debugger/

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Jul 2010 19:42:47 +0200

codelite (2.5.3.4075~dfsg-2) unstable; urgency=low

  * Add git-buildpackage config file.
  * debian/control:
    - Update Standards to 3.9.0:
      + Replace Conflicts with Breaks.
    - Drop DM-Upload-Allowed field.
    - Add qt4-qmake,wx-common to Recommends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Jul 2010 10:35:12 +0200

codelite (2.5.3.4075~dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update debian/copyright
  * Change my email address.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Jun 2010 15:30:55 +0200

codelite (2.5.2.4031~dfsg-2) unstable; urgency=low

  * Set pkg source format to 1.0.
  * Fix little mistake in debian/codelite.1 (Closes: #579761).
  * Install codelite_xterm script into /usr/lib/codelite.
  * debian/patches/01_x-terminal-emulator.patch:
    - Rely on codelite_xterm script to run console programs (LP: #575635).
  * debian/patches/05_codelite_xterm.patch:
    - Don't rely on xterm, try to use the user's preferred terminal emulator first.
    - The option to change the window title depends on the terminal emulator used.
    - Pass '-x' instead of '-e' to terminator.
  * debian/rules:
    - Adjust get-orig-source rule to remove junk files from the original tarball.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 05 May 2010 17:46:58 +0200

codelite (2.5.2.4031~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 02:03:19 +0200

codelite (2.3.0.3833~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #516896).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 25 Mar 2010 11:37:04 +0100
